summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/cwiid/cwiid.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/misc/cwiid/cwiid.SlackBuild b/misc/cwiid/cwiid.SlackBuild
index 7f1cdfa6db..5686d64f12 100644
--- a/misc/cwiid/cwiid.SlackBuild
+++ b/misc/cwiid/cwiid.SlackBuild
@@ -60,12 +60,8 @@ make install DESTDIR=$PKG
# For some reason --disable-static is ignored
rm -f $PKG/usr/lib$LIBDIRSUFFIX/libcwiid.a
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;